Bug 148674 - fix graphics/mupdf
fix graphics/mupdf
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Baptiste Daroussin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 08:20 UTC by kamikaze
Modified: 2010-08-04 06:30 UTC (History)
0 users

See Also:


Attachments
file.diff (541 bytes, patch)
2010-07-16 08:20 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-07-16 08:20:01 UTC
/ is a really bad separator for file name substitution.

Fix: Patch attached with submission follows:
How-To-Repeat: # make -VCC
env CCACHE_PREFIX=/usr/local/bin/distcc /usr/local/bin/ccache cc
# make
===>  License accepted by the user
===>  Extracting for mupdf-0.6,1
=> MD5 Checksum OK for mupdf-0.6-source.tar.gz.
=> SHA256 Checksum OK for mupdf-0.6-source.tar.gz.
===>  Patching for mupdf-0.6,1
sed: 1: "s/CC = .*/CC = env CCAC ...": bad flag in substitute command: 'u'
*** Error code 1

Stop in /usr/ports/graphics/mupdf.
Comment 1 Mark Linimon freebsd_committer 2010-07-16 11:14:59 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 swell.k 2010-07-16 14:29:49 UTC
I think using `?=' is better than relying on `|' being not in path.

 sed -e '/^CC/s/=/?=/' ...

But I've already submitted it in b.diff in ports/148503.
Comment 3 kamikaze 2010-07-16 14:53:43 UTC
On 16/07/2010 15:29, Anonymous wrote:
> I think using `?=' is better than relying on `|' being not in path.
> 
>  sed -e '/^CC/s/=/?=/' ...
> 
> But I've already submitted it in b.diff in ports/148503.

Oh, I didn't know it uses a compatible make!

I agree, your way is better.


-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 4 Baptiste Daroussin freebsd_committer 2010-07-28 20:26:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 5 dfilter freebsd_committer 2010-08-04 06:25:21 UTC
bapt        2010-08-04 05:25:07 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mupdf       Makefile distinfo 
  Log:
  - Respect ports CFLAGS [1]
  - Cleanup REINPLACE_CMD usage [2]
  - Bump PORTREVISION
  - Correctly define i386 and amd64 optimisation [2]
  
  PR:             ports/148503 [1][2] ports/148674 [1]
  Submitted by:   Dominic Fandrey <kamikaze _at_ bsdforen.de> [1], Anonymous <swell.k _at_ gmail.com> [1][2], Martin Dieringer <martin.dieringer _at_ gmx.de> [1][2] (maintainer)
  Approved by:    tabthorpe@ (co-mentor)
  
  Revision  Changes    Path
  1.8       +16 -7     ports/graphics/mupdf/Makefile
  1.6       +3 -3      ports/graphics/mupdf/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Baptiste Daroussin freebsd_committer 2010-08-04 06:27:14 UTC
State Changed
From-To: open->closed

Committed using patch from ports/148503. Thanks!